Name:		ipmctl-compat-02.00.00.3885
Version:	02.00.00.3885
Release:	1%{?dist}
Summary:	Utility for managing Intel Optane DC persistent memory modules
License:	BSD
URL:		https://github.com/intel/ipmctl
Source:		https://github.com/intel/ipmctl/archive/02.00.00.3805/ipmctl-compat-02.00.00.3885-02.00.00.3885.tar.gz
Patch0:		Change_to_compat.patch
ExclusiveArch:	x86_64

Requires:	libipmctl-compat-02.00.00.3885%{?_isa} = %{version}-%{release}
BuildRequires:	pkgconfig(libndctl)
BuildRequires:	cmake
BuildRequires:	python3
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	asciidoc
Conflicts:	ixpdimm-cli < 01.00.00.3000

%description
Compatibility version with binaries renamed to have -compat
such as ipmctl-compat
Utility for managing Intel Optane DC persistent memory modules
Supports functionality to:
Discover DCPMMs on the platform.
Provision the platform memory configuration.
View and update the firmware on DCPMMs.
Configure data-at-rest security on DCPMMs.
Track health and performance of DCPMMs.
Debug and troubleshoot DCPMMs.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p0

%package -n libipmctl-compat-02.00.00.3885
Summary:	Library for Intel DCPMM management
Conflicts:	ixpdimm_sw < 01.00.00.3000
Conflicts:	libixpdimm-common < 01.00.00.3000
Conflicts:	libixpdimm-core < 01.00.00.3000
Conflicts:	libixpdimm-cli < 01.00.00.3000
Conflicts:	libixpdimm-cim < 01.00.00.3000
Conflicts:	libixpdimm < 01.00.00.3000
Conflicts:	ixpdimm-data < 01.00.00.3000

%description -n libipmctl-compat-02.00.00.3885
An Application Programming Interface (API) library for managing Intel Optane DC
persistent memory modules.

%package -n libipmctl-compat-devel-02.00.00.3885
Summary:	Development packages for libipmctl
Requires:	libipmctl-compat%{?_isa} = %{version}-%{release}
Conflicts:	ixpdimm-devel < 01.00.00.3000
Conflicts:	ixpdimm_sw-devel < 01.00.00.3000

%description -n libipmctl-compat-devel-02.00.00.3885
API for development of Intel Optane DC persistent memory management utilities.

%build
%cmake -DBUILDNUM=%{version} -DCMAKE_INSTALL_PREFIX=/ \
    -DLINUX_PRODUCT_NAME=%{name} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
    -DCMAKE_INSTALL_BINDIR=%{_bindir} \
    -DCMAKE_INSTALL_DATAROOTDIR=%{_datarootdir} \
    -DCMAKE_INSTALL_MANDIR=%{_mandir} \
    -DCMAKE_INSTALL_LOCALSTATEDIR=%{_localstatedir} \
    -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
    -DRELEASE=ON \
    -DRPM_BUILD=ON
%cmake_build

%install
%{!?_cmake_version: cd build}
%cmake_install

%post -n libipmctl-compat-02.00.00.3885 -p /sbin/ldconfig

%postun -n libipmctl-compat-02.00.00.3885 -p /sbin/ldconfig

%files -n ipmctl-compat-02.00.00.3885
%{_bindir}/ipmctl-compat

%files -n libipmctl-compat-02.00.00.3885
%{_libdir}/libipmctl.so.4*
%dir %{_datadir}/doc/ipmctl
%doc %{_datadir}/doc/ipmctl/ipmctl_default.conf
%doc %{_datadir}/doc/ipmctl/LICENSE
%config(noreplace) %{_datadir}/ipmctl/ipmctl.conf
%dir %{_localstatedir}/log/ipmctl
%config(noreplace) %{_sysconfdir}/logrotate.d/ipmctl

%files -n libipmctl-compat-devel-02.00.00.3885
%{_libdir}/libipmctl.so
%{_includedir}/nvm_types.h
%{_includedir}/nvm_management.h
%{_includedir}/export_api.h
%{_includedir}/NvmSharedDefs.h
%{_libdir}/pkgconfig/libipmctl.pc

%changelog
* Wed Feb 15 2023 Steven Pontsler <steven.pontsler@intel.com> - 02.00.00.3885-1
- Compat based on Release 02.00.00.3885

